<?php

namespace App\Contract;

use Symfony\Component\Uid\Uuid;

class ClientDto
{
    public function __construct(
        private Uuid $clientId,
        private string $name,
        private int $balance,
    ) {
    }

    public function getClientId(): Uuid
    {
        return $this->clientId;
    }

    public function setClientId(Uuid $clientId): void
    {
        $this->clientId = $clientId;
    }

    public function getName(): string
    {
        return $this->name;
    }

    public function setName(string $name): void
    {
        $this->name = $name;
    }

    public function getBalance(): int
    {
        return $this->balance;
    }

    public function setBalance(int $balance): void
    {
        $this->balance = $balance;
    }
}
