<?php

namespace App\Service;

use App\Contract\Order;
use App\Contract\ProductEntry;

interface PricingStrategy
{

    public function calculateTotalPriceOfProductEntry(ProductEntry $product): int;

    public function calculateTotalPriceOfOrder(Order $order): int;

}
